#ifndef _Handle_PDataStd_Variable_HeaderFile
#define _Handle_PDataStd_Variable_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PDataStd_Variable;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PDataStd_Variable);

class Handle(PDataStd_Variable) : public Handle(PDF_Attribute) {
  public:

    Handle(PDataStd_Variable)():Handle(PDF_Attribute)() {} 
    Handle(PDataStd_Variable)(const Handle(PDataStd_Variable)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PDataStd_Variable)(const PDataStd_Variable* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PDataStd_Variable)& operator=(const Handle(PDataStd_Variable)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PDataStd_Variable)& operator=(const PDataStd_Variable* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PDataStd_Variable* operator->() const 
     {
      return (PDataStd_Variable *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PDataStd_Variable) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
